// load-manager-cli.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include "../wasm-module/pax.h"



int main()
{
    bool isImperial = false;
    bool isER = true;

    paxPayloadData_t targetPaxPayloadData = paxPayloadData_t();
    targetPaxPayloadData.empty = FROM_POUNDS(isImperial, 283975);
    targetPaxPayloadData.pilot = PAX_WEIGHT(isImperial);
    targetPaxPayloadData.firstOfficer = PAX_WEIGHT(isImperial);
    targetPaxPayloadData.engineer = PAX_WEIGHT(isImperial);
    targetPaxPayloadData.cabinCrewFront = FRONT_CREW_WEIGHT(isImperial);
    targetPaxPayloadData.cabinCrewRear = REAR_CREW_WEIGHT(isImperial);
    targetPaxPayloadData.leftAux = isER ? AUX_WEIGHT(isImperial) : 0;
    targetPaxPayloadData.rightAux = isER ? AUX_WEIGHT(isImperial) : 0;
    FuelData_t liveFuelData = FuelData_t();

    distribute(&targetPaxPayloadData, &liveFuelData, 162000.0, 20.5, isImperial);
}
